MD5SUM(1)

NAMN
md5sum — beräkna och kontrollera meddelandes MD5-kontrollsumma

SYNOPSIS
md5sum [FLAGGA]... [FIL]...

BESKRIVNING

Skriv eller kontrollera MD5 (128-bitars) kontrollsummor. Föråldrat gränssnitt till verktyget cksum.

Utan FIL, eller när FIL är -, läs standard in.

-b, --binary
    Läs i binärt läge.

-c, --check
    Läs kontrollsummor från FILerna och kontrollera dem.

--tag
    Skapa en kontrollsumma i BSD-stil.

-t, --text
    Läs i textläge (standard).

-z, --zero
    Avsluta varje utmatad rad med NOLL, inte nyrad, och avaktivera kontrollsekvenser i filnamn.

  De fem följande flaggorna är användbara enbart vid verifikation av kontrollsummor:

--ignore-missing
    Misslyckas inte eller rapportera status för saknade filer.

--quiet
    Skriv inte OK för varje verifierad fil.

--status
    Skriv inte ut något, statuskoden visar resultatet.

--strict
    Returnera nollskilt vid felformaterade kontrollsummerader.

-w, --warn
    Varna för felaktigt formaterade kontrollsummerader.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Summorna beräknas så som beskrivs i RFC 1321. Vid kontroll skall indata vara en tidigare utdata från detta program. Normalläget är att skriva en rad med: kontrollsumma, ett mellanslag, ett tecken som indikerar indataläge (”*” för binärt, ” ” för text eller där binärläge är betydelselöst) och namnet på varje FIL.

Det är ingen skillnad mellan binärt läge och textläge på GNU-system.

FEL
Använd inte algoritmen MD5 för säkerhetsrelaterade ändamål. Använd istället en algoritm SHA-2, SHA-3 eller BLAKE2, implementerad i programmet cksum(1).

UPPHOVSMAN
Skrivet av Ulrich Drepper, Scott Miller och David Madore.

RAPPORTERA FEL
Rapportera fel till: <bug-coreutils@gnu.org>; rapportera synpunkter på översättningen till: <tp-sv@listor.tp-sv.se>.
GNU coreutils hemsida: <https://www.gnu.org/software/coreutils/>
Allmän hjälp med att använda GNU-program: <https://www.gnu.org/gethelp/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
cksum(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/md5sum>
eller tillgängligt lokalt via: info '(coreutils) md5sum invocation'

Paketerat av Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.